package com.snowm.scanner_example

import com.snowm.scanner.BackgroundWakeableApplication
import org.altbeacon.beacon.Region


class MyApplication  : BackgroundWakeableApplication() {
    override fun onCreate() {
        super.onCreate()
    }

    override fun didEnterRegion(region: Region) {
        super.didEnterRegion(region)
        NotificationHelper.sendNotification(12,this, "Enter ${region.id1.toString()}","Enter from main application", null)
    }

    override fun didExitRegion(region: Region) {
        super.didExitRegion(region)
        NotificationHelper.sendNotification(12,this, "Exit ${region.id1.toString()}","Exit from main application", null)
    }
}