part of snowm_scanner;

class StDevice {
  StDevice({
    this.companyId,
    this.macAddress,
    this.battery,
    this.rawPacket,
    this.packetId,
    this.firmwareVersion,
    this.hardwareId,
    this.productSolutionId,
    this.airTemperatureRaw,
    this.surfaceTemperatureRaw,
    this.serialNo,
  });

  String companyId;
  String macAddress;
  String battery;
  String rawPacket;
  String packetId;
  String firmwareVersion;
  String hardwareId;
  String productSolutionId;
  String airTemperatureRaw;
  String surfaceTemperatureRaw;
  String serialNo;

  factory StDevice.fromMap(Map<String, dynamic> json) => StDevice(
        companyId: json["companyId"] == null ? null : json["companyId"],
        macAddress: (json["macAddress"]),
        battery: json["battery"] == null ? null : json["battery"],
        rawPacket: json["rawPacket"] == null ? null : json["rawPacket"],
        packetId: json["packetId"] == null ? null : json["packetId"],
        firmwareVersion:
            json["firmwareVersion"] == null ? null : json["firmwareVersion"],
        hardwareId: json["hardwareId"] == null ? null : json["hardwareId"],
        productSolutionId: json["productSolutionId"] == null
            ? null
            : json["productSolutionId"],
        airTemperatureRaw: json["airTemperatureRaw"] == null
            ? null
            : json["airTemperatureRaw"],
        surfaceTemperatureRaw: json["surfaceTemperatureRaw"] == null
            ? null
            : json["surfaceTemperatureRaw"],
        serialNo: json["serialNo"] == null ? null : json["serialNo"],
      );

  Map<String, dynamic> toMap() => {
        "companyId": companyId == null ? null : companyId,
        "macAddress": macAddress == null ? null : macAddress,
        "battery": battery == null ? null : battery,
        "rawPacket": rawPacket == null ? null : rawPacket,
        "packetId": packetId == null ? null : packetId,
        "firmwareVersion": firmwareVersion == null ? null : firmwareVersion,
        "hardwareId": hardwareId == null ? null : hardwareId,
        "productSolutionId":
            productSolutionId == null ? null : productSolutionId,
        "airTemperatureRaw":
            airTemperatureRaw == null ? null : airTemperatureRaw,
        "surfaceTemperatureRaw":
            surfaceTemperatureRaw == null ? null : surfaceTemperatureRaw,
        "serialNo": serialNo == null ? null : serialNo,
      };
}
